import Service from "../service";

export default class BeatsaverService extends Service {
  constructor() {
    super({
      name: "Beatsaver",
      websocketUrl: "wss://ws.beatsaver.com/maps",
    });
  }

  /**
   * Gets called when a message from
   * the websocket is received.
   *
   * @param data the message
   */
  message(data: any): void {
    this.log("msg from beatsaver");
  }
}
